- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_auth_info_t Struct Reference
[XCB Core API]

Container for authorization information. More...

`#include <xcb.h>`

## Data Fields
int | namelen
char * | name
int | datalen
char * | data

## Detailed Description

Container for authorization information.

A container for authorization information to be sent to the X server.

## Field Documentation

int xcb_auth_info_t::namelen

Length of the string name (as returned by strlen).

char* xcb_auth_info_t::name

String containing the authentication protocol name, such as "MIT-MAGIC-COOKIE-1" or "XDM-AUTHORIZATION-1".

int xcb_auth_info_t::datalen

Length of the data member.

char* xcb_auth_info_t::data

Data interpreted in a protocol-specific manner.

The documentation for this struct was generated from the following file:

- xcb.h